Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

Older Ninja versions for download

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Older Ninja versions for download

    Hi,
    I have Win7 64 and would appreciate if someone could share 8.0.22.2 install file as a last version for that OS.
    Thanks
    L

    #2
    I have win7 x64 and my NT 8.0.26.0 works perfectly. Even it's considered unsupported by NT staff. I can send you msi installer but really you only can use this version till 06/30/2023. They updated CQG certificates. After that everyone who uses 8.0 must update to 8.0.28.0. I didn't try it but it should works on win7.

    Comment


      #3
      I have 8.0.22.2 on file but like Leeroy_Jenkins I would suggest you go to 8.0.26 or 8.0.28. I don't know offhand what would have changed that would make those versions not work on Windows 7 - it may be more likely they just don't want to test for it anymore because Windows 7 is so far out of support and of course it doesn't have up-to-date security certificates so everything is a hassle even trying to open a website. I show 8.0.22.2 was on or around July of 2020 and that is a really long time ago to be going back to.

      In 8.0.23.0 I see that the release notes say 8.1 is the minimum supported operating system.

      Click image for larger version  Name:	image.png Views:	0 Size:	26.8 KB ID:	1254462

      ​However, you can download .NET Framework 4.8 for Windows 7 - for instance at https://dotnet.microsoft.com/en-us/d...line-installer.

      Note that if you do this sort of thing, it is unsupported by NinjaTrader.
      Last edited by QuantKey_Bruce; 06-04-2023, 11:51 AM.
      Bruce DeVault
      QuantKey Trading Vendor Services
      NinjaTrader Ecosystem Vendor - QuantKey

      Comment


        #4
        Originally posted by Leeroy_Jenkins View Post
        I have win7 x64 and my NT 8.0.26.0 works perfectly. Even it's considered unsupported by NT staff. I can send you msi installer but really you only can use this version till 06/30/2023. They updated CQG certificates. After that everyone who uses 8.0 must update to 8.0.28.0. I didn't try it but it should works on win7.
        Loose I was told by NinjaTrader that the date only apply to CGQ accounts. I think you can try using​ 8.0.26 or even 8.0.28 beyond 06/30/2023 if you are NOT using CGG data.

        Comment


          #5
          WOW. Thank you guys so much with your prompt replies.
          I have NET Framework 4.8 already installed and tried installing 8.0.28 twice, but it could not complete for some reason.

          Comment


            #6
            I, too, have many versions saved.

            Send me a private message if you need anything.

            See attached.
            Click image for larger version

Name:	IMGDT_20230604_114252.png
Views:	820
Size:	99.4 KB
ID:	1254468

            Comment


              #7
              Hello Loose,

              Thanks for your post.

              Windows 7 is not supported to run NinjaTrader 8 on. To run NinjaTrader you will have to upgrade Windows to a supported version (Windows 10 or Windows 11).

              Note that NinjaTrader 8.0.22.2 is also not supported. You should install the latest version, either NinjaTrader 8.0.28.0 or 8.1.1.6.

              See this Minumum System Requirements help guide page for more information: https://ninjatrader.com/support/help...quirements.htm

              And, see this NinjaTrader article about the required update for NinjaTrader Desktop users: https://ninjatrader.com/support/requ...desktop-users/
              Brandon H.NinjaTrader Customer Service

              Comment


                #8
                Originally posted by NinjaTrader_BrandonH View Post
                Windows 7 is not supported to run NinjaTrader 8 on.
                Always keep in mind that when NT Support says 'not supported'
                it does not necessarily mean it won't work.

                It means this: "you can do it if you want to, but whether it works
                or not, we may or may not know, but frankly, we don't really care,
                because our policy is we don't help you with issues on things we
                deem 'not supported'. Therefore, because we can't (or won't)
                answer any of your questions, or help you in the least if you have
                a problem, you are completely on your own. And if it partially
                works in some cases but not others, we won't help you clarify
                any of the differences you may discover -- remember, you are
                doing something 'not supported' -- so as bad as you may want
                our help in knowing more, we will not help you."

                That said, Win7 and NT8 still seem to work just fine together.

                Comment


                  #9
                  Thanks everyone. @bltdavid​ helped me with the installation.

                  Comment

                  Latest Posts

                  Collapse

                  Topics Statistics Last Post
                  Started by TradeSaber, Today, 10:11 PM
                  0 responses
                  1 view
                  0 likes
                  Last Post TradeSaber  
                  Started by GreyKerns09, Today, 03:42 PM
                  1 response
                  12 views
                  0 likes
                  Last Post marco231  
                  Started by marco231, 05-15-2024, 11:32 PM
                  3 responses
                  20 views
                  0 likes
                  Last Post marco231  
                  Started by mrgreentrading, Today, 08:29 PM
                  0 responses
                  9 views
                  0 likes
                  Last Post mrgreentrading  
                  Started by rbendson, Today, 08:18 PM
                  0 responses
                  2 views
                  0 likes
                  Last Post rbendson  
                  Working...
                  X